Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IImage

All Superinterfaces:
  IReportPart

    public interface IImage

extends IReportPart

Defines an interface to communicate info about an image to image handler

Field Summary
`static int` | `CUSTOM_IMAGE`
`static int` | `DESIGN_IMAGE`
`static int` | `FILE_IMAGE`
`static int` | `INVALID_IMAGE`
`static int` | `REPORTDOC_IMAGE`
`static int` | `URL_IMAGE`

Method Summary
`java.lang.String` | `getExtension()` return the image postfix, such as jpg, png
`java.lang.String` | `getID()` returns an identifier for the image
`byte[]` | `getImageData()` returns binary image data.
`java.lang.String` | `getImageMap()` The image map is used in HTML output.
`ImageSize` | `getImageSize()`
`java.io.InputStream` | `getImageStream()` returns an input stream where the mage can be read
`java.lang.String` | `getMimeType()`
`int` | `getSource()` returns the source type of the image.
`void` | `writeImage(java.io.File dest)` write the image to a destination file

Methods inherited from interface org.eclipse.birt.report.engine.api.IReportPart
`getRenderOption, getReportRunnable`

Field Detail

### DESIGN_IMAGE

    static final int DESIGN_IMAGE

See Also:
  Constant Field Values

### REPORTDOC_IMAGE

    static final int REPORTDOC_IMAGE

See Also:
  Constant Field Values

### URL_IMAGE

    static final int URL_IMAGE

See Also:
  Constant Field Values

### FILE_IMAGE

    static final int FILE_IMAGE

See Also:
  Constant Field Values

### CUSTOM_IMAGE

    static final int CUSTOM_IMAGE

See Also:
  Constant Field Values

### INVALID_IMAGE

    static final int INVALID_IMAGE

See Also:
  Constant Field Values

Method Detail

### getID

    java.lang.String getID()

  returns an identifier for the image

  Returns:
    an identifier for the image.

### getSource

    int getSource()

  returns the source type of the image. Could be DESIGN_IMAGE, REPORTDOC_IMAGE, URL_IMAGE or CUSTOM_IMAGE

  Returns:
    the type of the image

### getImageData

    byte[] getImageData()
                        throws java.lang.OutOfMemoryError

  returns binary image data. The function should be called with caution

  Returns:
    the binary image data
  Throws:
    `java.lang.OutOfMemoryError`

### getImageStream

    java.io.InputStream getImageStream()

  returns an input stream where the mage can be read

  Returns:
    an input stream where the image can be read

### writeImage

    void writeImage(java.io.File dest)
                    throws java.io.IOException

  write the image to a destination file

  Parameters:
    `dest` - destination file to write the image to
  Throws:
    `java.io.IOException`

### getExtension

    java.lang.String getExtension()

  return the image postfix, such as jpg, png

### getMimeType

    java.lang.String getMimeType()

  Returns:
    the mime type of the image

### getImageMap

    java.lang.String getImageMap()

  The image map is used in HTML output.

  Returns:
    the image map associate with this image.

### getImageSize

    ImageSize getImageSize()

  Returns:
    the size of the image

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.